﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="JitbitCRM._Default" MasterPageFile="~/JitbitCRMMaster.Master" %>
<%@ Register src="Comments.ascx" tagname="Comments" tagprefix="uc1" %>
<%@ Register src="Tasks.ascx" tagname="Tasks" tagprefix="uc2" %>

<asp:Content ContentPlaceHolderID="ContentPlaceHolder1" ID="Content1" runat="server">

<p class="grey">Jitbit CRM is an advanced address book - a database of <b>Companies, Contacts</b> and <b>Projects</b>.<br />
Each <b>object</b> (company, contact or project) has its tasks and history-log that you can add notes to.</p>

<table cellpadding="17">
	<tr>
		<td><a href="Companies.aspx" class="dahsboard"><img src="images/Company.png" alt="" />
			<b><asp:Label ID="lblCompanies" runat="server" EnableViewState="False">Companies</asp:Label></b></a>
		</td>
		<td><a href="Contacts.aspx" class="dahsboard"><img src="images/Contact.png" alt="" />
			<b><asp:Label ID="lblContacts" runat="server" EnableViewState="False">Contacts</asp:Label></b></a>
		</td>
		<td><a href="Projects.aspx" class="dahsboard"><img src="images/Project.png" alt="" />
			<b><asp:Label ID="lblProjects" runat="server" EnableViewState="False">Projects</asp:Label></b></a>
		</td>
	</tr>
</table>

<p class="grey"> Number of companies in the system - <b><%= NumberOfCompanies %></b>, contacts - <b><%= NumberOfContacts %></b>, projects - <b><%= NumberOfProjects %></b></p>


<ul class="tabmenu2">
<li runat="server" id="liComments" enableviewstate="false">
	<a href="Default.aspx"><asp:Label id="lblHistory" runat="server">Recent history</asp:Label></a></li>
<li runat="server" id="liTasks" enableviewstate="false">
	<a href="Default.aspx?Tasks=1"><asp:Label id="lblTasks" runat="server">Upcoming tasks</asp:Label></a></li>
<li>
	<asp:UpdatePanel RenderMode="Inline" ID="UpdatePanel2" runat="server">
	<ContentTemplate><asp:CheckBox ID="cbShowMine" AutoPostBack="true" OnCheckedChanged="cbShowMine_CheckedChanged" runat="server" Text="only from companies/contacts/projects assigned to me" CssClass="grey" /></ContentTemplate>
	</asp:UpdatePanel>
</li>
</ul>

<div class="lightbg lowtabs">

<asp:UpdatePanel ID="pnlRefresh" runat="server"><ContentTemplate>
	<uc1:Comments ID="Comments1" runat="server" ReadOnly="true" ShowContactLinks="true" ShowCompanyLinks="true" ShowProjectLinks="true" />
	<uc2:Tasks ID="Tasks1" runat="server" ReadOnly="true" ShowContactLinks="true" ShowCompanyLinks="true"  ShowProjectLinks="true" />
</ContentTemplate></asp:UpdatePanel>

<asp:UpdatePanel ID="UpdatePanel1" runat="server">
<ContentTemplate><asp:LinkButton ID="btnMore" runat="server" OnClick="btnMore_Click" EnableViewState="false" Text="more..."></asp:LinkButton></ContentTemplate>
</asp:UpdatePanel>

</div>

</asp:Content>