﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="Files.ascx.cs" Inherits="JitbitCRM.Files" %>

<asp:ScriptManagerProxy ID="ScriptManagerProxy1" runat="server">
    <Services>
        <asp:ServiceReference Path="~/AjaxWebService.asmx" />
    </Services>
</asp:ScriptManagerProxy>

<script type="text/javascript">
function ShowNewFile() {
    $("#tblNewFile").show();
}
function DeleteFile(fileId) {
    if (!confirm("Are you sure?")) return;
    var trFile = document.getElementById("trFile" + fileId);
    trFile.parentNode.removeChild(trFile);
    
    JitbitCRM.AjaxWebService.DeleteFile(fileId);
}
</script>

<a onclick="$('#tblNewFile').show();" href="javascript:void(0);">Add a file...</a><br />
<table id="tblNewFile" style="display:none;margin-top:4px;" width="100%" class="graphtable darkbg" cellpadding="7">
    <tr><th>Add a file</th></tr>
    <tr><td>
        <asp:FileUpload ID="file1" runat="server" />
        <asp:Button id="btnAdd" runat="server" Text="Upload" EnableViewState="false" OnClick="btnAdd_Click" />
        or <a onclick="$('#tblNewFile').hide();" href="javascript:void(0);">Cancel</a>
    </td></tr>
</table>


<asp:Repeater ID="rptFiles" runat="server" EnableViewState="false">
<HeaderTemplate><table cellpadding="5"></HeaderTemplate>
<ItemTemplate>
    <tr id="trFile<%# Eval("FileID") %>">
    <td>
        <%# GetCompanyOrContactOrProjectLink(Container.DataItem) %>
        <%# GetAttachmentLink(Eval("FileID"), Eval("FileName")) %>
    </td>
    <td>
        <a href="javascript:DeleteFile(<%# Eval("FileID") %>)" title="delete file"><img src="images/delete.png" alt="delete" /></a>
    </td>
    </tr>
</ItemTemplate>
<FooterTemplate></table></FooterTemplate>
</asp:Repeater>