﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Projects.aspx.cs" EnableViewState="false" Inherits="JitbitCRM.Projects" MasterPageFile="JitbitCRMMaster.Master" %>
<%@ Import Namespace="JitbitCRM.BusinessLayer" %>

<asp:Content runat="server" ContentPlaceHolderID="ContentPlaceHolder1">

<table cellpadding="7" width="100%">
<tr valign="top">
<!-- left td start (tags menu)-->
<td style="width:250px;">
	<table class="outerroundedborder lightbg" cellpadding="7" style="width:250px">
		<tr><th><asp:label ID="lblTags" runat="server">Tags:</asp:label></th></tr>
		<tr valign="top">
			<td id="tdTags" runat="server">
				<span id="spanNoTags" runat="server" class="grey">No tags found</span>
			</td>
		</tr>
		<tr><td align="right">
			<a href="Projects.aspx" class="grey" id="lnkShowAll" runat="server">show all</a>
		</td></tr>
	</table>
	<br />
	<table class="outerroundedborder lightbg grey" cellpadding="7" style="width:250px;">
		<tr><td align="right"><a runat="server" id="lnkAssignedToMe">show projects assigned to me</a></td></tr>
	</table>
</td>
<!-- left td end -->
<!-- right td start -->
<td style="width:100%">


<table class="outerroundedborder lightbg" cellpadding="7" width="100%">
	<tr><td class="gradientbg">
		<a href='ProjectEdit.aspx' style="float:left"><asp:Label id="lnkNewProject" runat="server" enableviewstate="False">Add project...</asp:Label></a>
		<span class="grey" style="float:right">
			<a href="Projects.aspx?ShowClosed=1" id="lnkShowClosed" runat="server" enableviewstate="false">show closed</a>
			<a href="Projects.aspx" id="lnkShowOpen" runat="server" enableviewstate="false">show open</a>
		</span>
	</td></tr>
</table>

<br />

<!--list of projects-->
<asp:Repeater ID="rptProjects" runat="server" EnableViewState="false">
<HeaderTemplate>
<table id="tblProjects" class="lightbg outerroundedborder sortable horizseparated" width="100%" style="width:100%" cellpadding="7">
<tr><th>Name</th><th>Last updated</th><th>Assigned to</th><th class="zeroverticalpadding" align="center" style="width:19px"><input type="checkbox" name="cbDelAll" id="cbDelAll" onclick="CheckUnchekAll();" /></th></tr>
</HeaderTemplate>
<ItemTemplate>
	<tr <%# Container.ItemType == ListItemType.AlternatingItem ? " class='alternativeLightbg'" : "" %>>
	<td><a href="ProjectView.aspx?ProjectID=<%# Eval("ProjectID") %>"><%# Eval("Name") %></a></td>
	<td class="grey"><b><%# Eval("LatestNoteDate")%></b>: <%# Eval("LatestNote").ToString().TruncateAtWord(30) %></td>
	<td><a href="ViewUser.aspx?UserID=<%# Eval("UserID" )%>"><%# Eval("AssigneeUsername")%></a></td>
	<td><input type="checkbox" name='cbDel<%# Eval("ProjectID") %>' value="1" /></td>
	</tr>
</ItemTemplate>
<FooterTemplate><tr><td class="gradientbg" colspan="3"><%# _pagerString %></td>
<td class="gradientbg"><a href="javascript:void(0)" onclick="DeleteSelected();" title="Delete selected"><img src="images/delete.png" alt="delete" /></a></td></tr></table></FooterTemplate>
</asp:Repeater>

<div class="grey" style="margin-bottom:10px">
Projects allow you to group related notes together.
For instance, if you're discussing a web-site design for a company "Acme",
you could make a project named "New Website Design" and attach any notes about the website to the project.
</div>


</td></tr></table>


<%--ivisible btns--%>
<asp:Button ID="btnDel" style="display:none" runat="server" OnClick="btnDel_Click" EnableViewState="false"></asp:Button>

<script type="text/javascript">
	function CheckUnchekAll() {
		var chk = false;
		if (document.getElementById("cbDelAll").checked)
			chk = true;
		$("INPUT[type='checkbox'][@id ^= 'cbDel' ]").attr('checked', chk);
	}
	function DeleteSelected() {
		if (!confirm("Are you sure you want to delete the selected entries?")) return;
		$("#<%= btnDel.ClientID %>").click();
	}
</script>

</asp:Content>