﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Search.aspx.cs" Inherits="JitbitCRM.Search" MasterPageFile="~/JitbitCRMMaster.Master" %>

<asp:Content ContentPlaceHolderID="head" runat="server">
	<link type="text/css" href="https://ajax.googleapis.com/ajax/libs/jqueryui/1.8.14/themes/ui-lightness/jquery-ui.css" rel="stylesheet" />
</asp:Content>

<asp:Content ContentPlaceHolderID="ContentPlaceHolder1" runat="server">

<table class="outerborder lightbg grey" cellpadding="7">
<tr>
	<td align="right"><b>search:</b></td>
	<td>
		<asp:TextBox runat="server" ID="tbSearch"></asp:TextBox>
		<asp:Button runat="server" ID="btnSearch" Text="Search" OnClick="btnSearch_Click" />
		&nbsp;&nbsp;&nbsp; Enter name, address, phone, email etc. or any part of it.
	</td>
</tr>

<!--custom fields-->	
<asp:Repeater id="rptCustomFields" runat="server" EnableViewState="false">
<HeaderTemplate>
	<tr><td colspan="2"><hr /></td></tr>
</HeaderTemplate>
<ItemTemplate>
	<tr>
		<td style="text-align:right;white-space:nowrap" class="grey"> <%# (bool)Eval("Mandatory") ? "*" : "" %> <b><%# Eval("FieldName") %></b>:</td>
		<td>
			<%# JitbitCRM.BusinessLayer.CustomFields.RenderCustomFieldInput(Eval("Type"), Eval("FieldID"), null, true, true) %>
			<%# (bool)Eval("Mandatory") ? "<script type='text/javascript'> mandatoryCustomFieldIds[mandatoryCustomFieldIds.length] = '" + Eval("FieldID") + "';</script>" : "" %>
			<%# (bool)Eval("Mandatory") ? "<span style='display:none;color:red' id='mandatoryFieldAlert" + Eval("FieldID") + "'>!!!</span>" : ""%>
		</td>
	</tr>
</ItemTemplate>
</asp:Repeater>
</table>

<br /><br />

<asp:DataGrid EnableViewState="false" CssClass="graphtable lightbg" runat="server" ID="gridCompanies" UseAccessibleHeader="true" AutoGenerateColumns="false" CellPadding="7" Width="100%">
<AlternatingItemStyle CssClass="alternativeLightbg" />
<Columns>
	<asp:HyperLinkColumn HeaderText="Company" DataTextField="Name" DataNavigateUrlField="CompanyID" DataNavigateUrlFormatString="CompanyView.aspx?CompanyID={0}"></asp:HyperLinkColumn>
</Columns>
</asp:DataGrid>

<br /><br />

<asp:DataGrid CssClass="graphtable lightbg" runat="server" ID="gridContacts" UseAccessibleHeader="true" AutoGenerateColumns="false" EnableViewState="false" CellPadding="7" Width="100%">
<AlternatingItemStyle CssClass="alternativeLightbg" />
<Columns>
	<asp:HyperLinkColumn HeaderText="Contact" DataTextField="Name" DataNavigateUrlField="ContactID" DataNavigateUrlFormatString="ContactView.aspx?ContactID={0}"></asp:HyperLinkColumn>
</Columns>
</asp:DataGrid>

<!--datepicker-->
<script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jqueryui/1.8.14/jquery-ui.js"></script>
<script type="text/javascript">
	$(function () {
		$(".datepick").datepicker({ gotoCurrent: true, dateFormat: "yy-mm-dd", firstDay: 1 });
	});
</script>

</asp:Content>